Transfer reward certificate NFT between wallets
curl --request POST \
--url https://app.crown-brlv.com/api/v1/accounts/{account-id}/nft-transfers \
--header 'Content-Type: application/json' \
--data '
{
"source-address": "0xabcdef1234567890abcdef1234567890abcdef12",
"target-address": "0x1234567890abcdef1234567890abcdef12345678",
"reward-certificate-id": "660e8400-e29b-41d4-a716-446655440010"
}
'import requests
url = "https://app.crown-brlv.com/api/v1/accounts/{account-id}/nft-transfers"
payload = {
"source-address": "0xabcdef1234567890abcdef1234567890abcdef12",
"target-address": "0x1234567890abcdef1234567890abcdef12345678",
"reward-certificate-id": "660e8400-e29b-41d4-a716-446655440010"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
'source-address': '0xabcdef1234567890abcdef1234567890abcdef12',
'target-address': '0x1234567890abcdef1234567890abcdef12345678',
'reward-certificate-id': '660e8400-e29b-41d4-a716-446655440010'
})
};
fetch('https://app.crown-brlv.com/api/v1/accounts/{account-id}/nft-transfers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"transfer": {
"id": "660e8400-e29b-41d4-a716-446655440010",
"reward-certificate-id": "660e8400-e29b-41d4-a716-446655440010",
"source-address": "0xabcdef1234567890abcdef1234567890abcdef12",
"target-address": "0x1234567890abcdef1234567890abcdef12345678",
"state": "created",
"created-at": "2024-01-15T10:30:00Z",
"state-updated-at": "2024-01-15T10:30:00Z"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"code": "<string>"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"code": "<string>"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"code": "<string>"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"code": "<string>"
}
}NFT transfers
Transfer Reward Certificate NFT
Transfers a reward certificate NFT from a source wallet to a target wallet. Source and target should be EVM wallet addresses (0x…).
POST
/
api
/
v1
/
accounts
/
{account-id}
/
nft-transfers
Transfer reward certificate NFT between wallets
Path Parameters
Body
application/json
Source wallet address (0x...)
Example:
"0xabcdef1234567890abcdef1234567890abcdef12"
Target wallet address (0x...)
Example:
"0x1234567890abcdef1234567890abcdef12345678"
Reward certificate identifier
Example:
"660e8400-e29b-41d4-a716-446655440010"
Response
NFT transfer created successfully
Details of the created NFT transfer
Show child attributes
Show child attributes
⌘I